<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtarea_conwidth', 'about_area', 'Section Width ');

$wp_customize->add_setting('abt_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );

lzCustomLable($wp_customize, 'abtarea_str', 'about_area', 'Section Star ');

$wp_customize->add_setting( 'abtstar_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'abtstar_display', array( 'label' => 'Section Star Display', 'section' => 'about_area', 'settings' => 'abtstar_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) );

addColorPalatOption($wp_customize, 'abtdec_strclr', 'about_area', 'Star Color', '#7FDB54');


lzCustomLable($wp_customize, 'aboutarea_rightclr', 'about_area', 'Section Left Side');
// 1st
$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'First Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting( 'tpimgbx_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'tpimgbx_display', array( 'label' => 'First Image Display', 'section' => 'about_area', 'settings' => 'tpimgbx_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

$wp_customize->add_setting(
    'about_head',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_head',
        array(
            'section' => 'about_area',
            'settings' => 'about_head',
            'description' => __('Recommended Image Size: 160X200', 'luzuk-premium')
        )
    )
);

addColorPalatOption($wp_customize, 'abtdec_imgclr', 'about_area', 'First Image Border Color', '#fff');
// 2nd

$wp_customize->add_setting(
    'about_image2_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image2_label',
        array(
            'settings'      => 'about_image2_label',
            'section'       => 'about_area',
            'label'         => __( 'Second Image', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
    'about_image2',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image2',
        array(
            'section' => 'about_area',
            'settings' => 'about_image2',
            'description' => __('Recommended Image Size: 374X540', 'luzuk-premium')
        )
    )
);

// 3rd

$wp_customize->add_setting(
    'about_image3_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image3_label',
        array(
            'settings'      => 'about_image3_label',
            'section'       => 'about_area',
            'label'         => __( 'Third Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting( 'btmimgbx_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'btmimgbx_display', array( 'label' => 'Third Image Display', 'section' => 'about_area', 'settings' => 'btmimgbx_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


$wp_customize->add_setting(
    'about_image3',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image3',
        array(
            'section' => 'about_area',
            'settings' => 'about_image3',
            'description' => __('Recommended Image Size: 187X250', 'luzuk-premium')
        )
    )
);


addColorPalatOption($wp_customize, 'abtdec_imgclr3', 'about_area', 'Third Image Border Color', '#fff');

lzCustomLable($wp_customize, 'aboutsec_yebx', 'about_area', 'Year Box');

$wp_customize->add_setting( 'yearbx_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'yearbx_display', array( 'label' => 'Year Box Display', 'section' => 'about_area', 'settings' => 'yearbx_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 

$wp_customize->add_setting(
    'abt_num',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '25+', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abt_num',
    array(
        'settings'      => 'abt_num',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Experience Num', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'abt_exptxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Years Of Experience', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abt_exptxt',
    array(
        'settings'      => 'abt_exptxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Experience Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abtsec_exbxbgclr', 'about_area', 'Experience Box BG Color', '#1F2130');

addColorPalatOption($wp_customize, 'abtsec_exbxicnclr', 'about_area', 'Experience Box Icon Color', '#7FDB54');

addColorPalatOption($wp_customize, 'abtsec_exbxicnbgclr', 'about_area', 'Experience Box Icon BG Color', '#fff');

addColorPalatOption($wp_customize, 'abtsec_exbxnumberclr', 'about_area', 'Experience Box Number Color', '#fff');

addColorPalatOption($wp_customize, 'abtsec_exbxtxtclr', 'about_area', 'Experience Box Text Color', '#fff');



// right

$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Right Side', 'luzuk-premium' ),
        )
    )
);    


lzCustomLable($wp_customize, 'abtarea_subheadingcase', 'about_area', 'Sub Heading Style');

$wp_customize->add_setting('abt_subhead_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'Capitalize'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_subhead_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_subhead_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );


lzCustomLable($wp_customize, 'abtarea_headingcase', 'about_area', 'Heading Style');

$wp_customize->add_setting('abt_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );



lzCustomLable($wp_customize, 'aboutarea_heading', 'about_area', 'Section Sub Heading & Heading ');


$wp_customize->add_setting(
    'about_subHeading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_subHeading',
    array(
        'settings'      => 'about_subHeading',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsubtitle_clr', 'about_area', 'Sub Heading Color ', '#7FDB54');

$wp_customize->add_setting(
    'abt_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'We Provide The Best Solar Energy Solution', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abt_heading',
    array(
        'settings'      => 'abt_heading',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_secheading_clr', 'about_area', 'Heading Color ', '#2F2F2F');


$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( "The solar solution company specializes in providing innovative, eco-friendly energy systems that harness the sun's power, reducing carbon footprints and energy costs for residential, commercial, and industrial clients worldwide.")
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Heading Text Color', '#5F5F5F');



$wp_customize->add_setting(
    'sec_list',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( "<li>Renewable Energy Source</li>
<li>Energy Independence</li>
<li>Low Maintenance Costs</li>
<li>Environmentally Friendly</li>
<li>Technological Advancement</li>
<li>Increased Property Value</li>")
    )
);
$wp_customize->add_control(
    'sec_list',
    array(
        'settings'      => 'sec_list',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( ' List', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtSec_listclr', 'about_area' , 'List Color');

addColorPalatOption($wp_customize, 'abt_listicnclr', 'about_area', 'List Icon Color', '#7FDB54');

addColorPalatOption($wp_customize, 'abt_listtitleclr', 'about_area', 'List Text Color', '#000');


lzCustomLable($wp_customize, 'abtSec_btnclr', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtn_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Learn More', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'abtbtn_text',
    array(
        'settings'      => 'abtbtn_text',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text ', 'Luzuk' )
    )
);

$wp_customize->add_setting('abtnlink',   
    array('default'=> 'Add Link', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtnlink',
    array(
        'settings'      => 'abtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Button Link ', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_btntxtclr', 'about_area', 'Botton Text Color', '#000');

addColorPalatOption($wp_customize, 'abt_btntxthvclr', 'about_area', 'Botton Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'abt_btnbrdclr', 'about_area', 'Botton Border Color', '#000');

addColorPalatOption($wp_customize, 'abt_btnbgclr', 'about_area', 'Botton BG Color', '#fff');

addColorPalatOption($wp_customize, 'abt_btnbghvclr', 'about_area', 'Botton BG Hover Color', '#7FDB54');